﻿(function () {

    function x(p_url) {
        const v_url = new URL(p_url);
        const v_ruta = v_url.pathname;

        let v_html = `<div class="ruta">${v_ruta}</div>`;
        const v_parametros = Array.from(v_url.searchParams)
            .map(([p_nombre, p_valor]) =>
                `<div class="parametro-${p_nombre}">${p_nombre}</div>=<div class="valor-${p_nombre}">${p_valor}</div>`
            )
            .join('&');

        if (v_parametros.length > 0)
            v_html += `?${v_parametros}`;
        return v_html;
    }

    window.addEventListener('load', function () {
        setTimeout(function () {
            const v_enlaceSpyroSoftware = document.querySelector('#swagger-ui .topbar a');
            v_enlaceSpyroSoftware.href = 'http://www.spyrosoftware.com';

            const v_imagenSpyroSoftware = document.querySelector('#swagger-ui .topbar img');
            v_imagenSpyroSoftware.alt = 'www.spyrosoftware.com';
            v_imagenSpyroSoftware.src = './images/spyro.png';
            v_imagenSpyroSoftware.setAttribute('height', '60px');

            const v_icono32x32 = document.querySelector('link[rel=icon][sizes="32x32"]');
            v_icono32x32.href = './images/favicon32x32.png';

            const v_icono16x16 = document.querySelector('link[rel=icon][sizes="16x16"]');
            v_icono16x16.href = './images/favicon16x16.png';

            const v_preconnect = document.createElement('link');
            v_preconnect.rel = 'preconnect';
            v_preconnect.href = 'https://fonts.gstatic.com';
            document.head.appendChild(v_preconnect);

            const v_stylesheet = document.createElement('link');
            v_stylesheet.rel = 'stylesheet';
            v_stylesheet.href = 'https://fonts.googleapis.com/css2?family=Lato&display=swap';
            document.head.appendChild(v_stylesheet);


            //document.body.classList.add('theme-dark');
            //document.body.classList.add('theme-light');

            var xx = x("http:/www.miapi.com/clientes/CTI?emp_cod=DEMO&filtros=(ggestado_cod:'A')");

        })

        setTimeout(function () {
            const
                v_dts = Array.from(document.querySelector(".info").querySelectorAll("blockquote"))
                    .reduce((dta, b) => dta.concat(...b.querySelectorAll("dl")), [])
                    .reduce((dta, dl) => dta.concat(...dl.querySelectorAll("dt"), ...dl.querySelectorAll("dd")), [])

            function estilo(p_elemento, p_patron, p_clase) {
                const v_regex = new RegExp(p_patron, "gi");
                p_elemento.innerHTML =
                    p_elemento.innerHTML.replace(v_regex, p_coincidencia => `<span class="${p_clase}">${p_coincidencia}</span>`);
            }

            v_dts.forEach(function (p_elemento) {
                //estilo(p_elemento, '[\(\)\|]', "parentesis");
                //estilo(p_elemento, '\".*\"', 'parentesis');
                //estilo(p_elemento, '(?!")[()[\\]{}|](?!")', 'parentesis');
                estilo(p_elemento, '\"', 'comillas');
            });
        }, 500)
    })
})();
